Index: tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/functions/TEI2Project.java
===================================================================
--- tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/functions/TEI2Project.java	(revision 1614)
+++ tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/functions/TEI2Project.java	(revision 1615)
@@ -203,10 +203,10 @@
 				return false;
 			}
 
-			if (imagesDirectory.exists() && imagesDirectory.listFiles(IOUtils.FILTER_HIDDEN).length > 0) {
+			if (imagesDirectory.exists() && imagesDirectory.listFiles(IOUtils.HIDDENFILE_FILTER).length > 0) {
 				System.out.println("Copying images files from "+imagesDirectory+" to "+imgDirectory+"...");
 				FileCopy.copyFiles(imagesDirectory, imgDirectory);
-				File[] files = imgDirectory.listFiles(IOUtils.FILTER_HIDDEN);
+				File[] files = imgDirectory.listFiles(IOUtils.HIDDENFILE_FILTER);
 				if (files != null) System.out.println(""+files.length+" images copied.");
 			}
 
Index: tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/functions/Project2XTZ.java
===================================================================
--- tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/functions/Project2XTZ.java	(revision 1614)
+++ tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/functions/Project2XTZ.java	(revision 1615)
@@ -95,7 +95,7 @@
 		File wFile = null;
 		File cFile = null;
 
-		File[] xmlFiles = textDirectory.listFiles(IOUtils.FILTER_HIDDEN);
+		File[] xmlFiles = textDirectory.listFiles(IOUtils.HIDDENFILE_FILTER);
 		if (xmlFiles == null) return false;
 
 		for (File xmlFile : xmlFiles) {
@@ -140,7 +140,7 @@
 		}
 		// INJECT ontologies 
 		System.out.println("Injecting ontologies...");
-		for (File f : cDirectory.listFiles(IOUtils.FILTER_HIDDEN)) {
+		for (File f : cDirectory.listFiles(IOUtils.HIDDENFILE_FILTER)) {
 			if (f.getName().startsWith(cDirectory.getName())) {
 				OntologiesProjection cp = new OntologiesProjection(f, projectDirectory);
 				File outputFile = new File(cDirectory, "temp.xml");
Index: tmp/org.txm.utils/src/org/txm/utils/CharsetDetector.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/CharsetDetector.java	(revision 1614)
+++ tmp/org.txm.utils/src/org/txm/utils/CharsetDetector.java	(revision 1615)
@@ -28,7 +28,7 @@
 	
 	private void processDirectory(File dir)
 	{
-		for (File file : dir.listFiles(IOUtils.FILTER_HIDDEN)) {
+		for (File file : dir.listFiles(IOUtils.HIDDENFILE_FILTER)) {
 			if (file.isFile()) {
 				try {
 					processFile(file);
Index: tmp/org.txm.utils/src/org/txm/utils/io/IOUtils.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/io/IOUtils.java	(revision 1614)
+++ tmp/org.txm.utils/src/org/txm/utils/io/IOUtils.java	(revision 1615)
@@ -44,10 +44,10 @@
 	/**
 	 * select only files not hidden
 	 */
-	public static final FileFilter FILTER_HIDDEN = new FileFilter() {
+	public static final FileFilter HIDDENFILE_FILTER = new FileFilter() {
 		@Override
 		public boolean accept(File file) {
-			return !file.isHidden();
+			return !file.isHidden() && !file.getName().startsWith(".") && !file.getName().endsWith("~");
 		}
 	};
 	
@@ -56,7 +56,7 @@
 	 * @return a list containing the files not hidden
 	 */
 	public List<File> listFiles(File dir) {
-		File[] files = dir.listFiles(FILTER_HIDDEN);
+		File[] files = dir.listFiles(HIDDENFILE_FILTER);
 		if (files == null) return new ArrayList<File>();
 		
 		return Arrays.asList(files);
Index: tmp/org.txm.utils/src/org/txm/utils/logger/Log.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/logger/Log.java	(revision 1614)
+++ tmp/org.txm.utils/src/org/txm/utils/logger/Log.java	(revision 1615)
@@ -219,7 +219,16 @@
 	public static void severe(String message) {
 		if (Level.SEVERE.intValue() >= txm.getLevel().intValue()) {
 			System.out.println(message);
+			System.out.println("STACKTRACE:");
+			int n = 1;
+			for (StackTraceElement t : Thread.currentThread().getStackTrace()) {
+				if (t.getClassName().startsWith("org.txm.") && !t.getClassName().startsWith(Log.class.getName())) {
+					System.out.println(String.format("[%2d]\t",n++)+t);
+					//System.out.println(""+(n++)+"\t"+t);
+				}
+			}
 		}
+		
 		txm.severe(message);
 	}
 
@@ -241,6 +250,14 @@
 	public static void warning(String message) {
 		if (Level.WARNING.intValue() >= txm.getLevel().intValue()) {
 			System.out.println(message);
+			System.out.print("AT: ");
+			int n = 1;
+			for (StackTraceElement t : Thread.currentThread().getStackTrace()) {
+				if (t.getClassName().startsWith("org.txm.") && !t.getClassName().startsWith(Log.class.getName())) {
+					System.out.println(t);
+					break;
+				}
+			}
 		}
 		txm.warning(message);
 	}
Index: tmp/org.txm.utils/src/org/txm/utils/LangDetector.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/LangDetector.java	(revision 1614)
+++ tmp/org.txm.utils/src/org/txm/utils/LangDetector.java	(revision 1615)
@@ -58,7 +58,7 @@
 	{
 		//println "process $dir"
 		if(dir.isDirectory()) {
-			for (File file : dir.listFiles(IOUtils.FILTER_HIDDEN))
+			for (File file : dir.listFiles(IOUtils.HIDDENFILE_FILTER))
 				if (file.isFile())
 					processFile(file);
 		} else {
@@ -104,7 +104,7 @@
 
 	public static void configFromModels(File dir)
 	{
-		File[] files = dir.listFiles(IOUtils.FILTER_HIDDEN);
+		File[] files = dir.listFiles(IOUtils.HIDDENFILE_FILTER);
 		Arrays.sort(files);
 		for(File f : files)
 			if(f.getName().contains(".lm") && !f.getName().contains("-"))
Index: tmp/org.txm.core.tests/src/org/txm/core/tests/junit/PluginMessages.java
===================================================================
--- tmp/org.txm.core.tests/src/org/txm/core/tests/junit/PluginMessages.java	(revision 1614)
+++ tmp/org.txm.core.tests/src/org/txm/core/tests/junit/PluginMessages.java	(revision 1615)
@@ -55,7 +55,7 @@
 		}
 
 		// test content
-		File[] files = messagesPackageDirectory.listFiles(IOUtils.FILTER_HIDDEN);
+		File[] files = messagesPackageDirectory.listFiles(IOUtils.HIDDENFILE_FILTER);
 		if (files == null) {
 			error("No messages class file.");
 			return;
Index: tmp/org.txm.core.tests/src/org/txm/core/tests/junit/PluginExtPoints.java
===================================================================
--- tmp/org.txm.core.tests/src/org/txm/core/tests/junit/PluginExtPoints.java	(revision 1614)
+++ tmp/org.txm.core.tests/src/org/txm/core/tests/junit/PluginExtPoints.java	(revision 1615)
@@ -36,7 +36,7 @@
 	private void testDeclaredExtPoints(File projectDirectory) throws IOException {
 		File schemaDirectory = new File(projectDirectory, "schema");
 		if (schemaDirectory.exists()) {
-			for (File schemaXML : schemaDirectory.listFiles(IOUtils.FILTER_HIDDEN)) {
+			for (File schemaXML : schemaDirectory.listFiles(IOUtils.HIDDENFILE_FILTER)) {
 				if (schemaXML.isDirectory()) continue;
 				ArrayList<String> ids = IOUtils.findWithGroup(schemaXML, "<meta.schema plugin=\"[^\"]+\" id=\"([^\"]+)\" name=\"[^\"]+\"/>", true);
 				ArrayList<String> classes = IOUtils.findWithGroup(schemaXML, "<meta.attribute kind=\"java\" basedOn=\"([^:]+):\"/>", true);
@@ -88,7 +88,7 @@
 
 				File schemaDirectory = new File(projectDirectory, "schema");
 				if (schemaDirectory.exists()) {
-					for (File schemaXML : schemaDirectory.listFiles(IOUtils.FILTER_HIDDEN)) {
+					for (File schemaXML : schemaDirectory.listFiles(IOUtils.HIDDENFILE_FILTER)) {
 						if (!schemaXML.isFile()) continue;
 						if (!schemaXML.getName().endsWith(".exsd")) continue;
 						ArrayList<String> ids = IOUtils.findWithGroup(schemaXML, "<meta.schema plugin=\"[^\"]+\" id=\"([^\"]+)\" name=\"[^\"]+\"/>", true);
Index: tmp/org.txm.core.tests/src/org/txm/core/tests/junit/PluginPreferences.java
===================================================================
--- tmp/org.txm.core.tests/src/org/txm/core/tests/junit/PluginPreferences.java	(revision 1614)
+++ tmp/org.txm.core.tests/src/org/txm/core/tests/junit/PluginPreferences.java	(revision 1615)
@@ -22,7 +22,7 @@
 		}
 		
 		// test content
-		File[] files = preferencePackageDirectory.listFiles(IOUtils.FILTER_HIDDEN);
+		File[] files = preferencePackageDirectory.listFiles(IOUtils.HIDDENFILE_FILTER);
 		if (files == null) {
 			error("No preference class file.");
 			return;
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CorpusManager.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CorpusManager.java	(revision 1614)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CorpusManager.java	(revision 1615)
@@ -28,6 +28,7 @@
 package org.txm.searchengine.cqp.corpus;
 
 import java.util.ArrayList;
+import java.util.HashMap;
 import java.util.List;
 
 import org.txm.Toolbox;
@@ -67,12 +68,14 @@
 	private static CorpusManager corpusManager = null;
 
 	/** the corpora. */
-	private static List<MainCorpus> corpora = null;
+	private static HashMap<String, MainCorpus> corpora = null;
 
 	/**
 	 * Instantiates a new corpus manager.
 	 */
-	private CorpusManager() { }
+	private CorpusManager() { 
+		corpora = new HashMap<String, MainCorpus>();
+	}
 
 	/**
 	 * Sets the cqi client.
@@ -90,8 +93,8 @@
 	 * @return the corpus manager
 	 */
 	public static CorpusManager getCorpusManager() {
-		if (cqiClient == null)
-			throw new RuntimeException(TXMCoreMessages.cQiClientNotInitialized);
+//		if (cqiClient == null)
+//			throw new RuntimeException(TXMCoreMessages.cQiClientNotInitialized);
 		if (corpusManager == null)
 			corpusManager = new CorpusManager();
 		return corpusManager;
@@ -110,7 +113,7 @@
 	 * Clean corpora : empty the 'corpora' member.
 	 */
 	public static void cleanCorpora() {
-		corpora = null;
+		corpora = new HashMap<String, MainCorpus>();
 	}
 
 	/**
@@ -123,13 +126,12 @@
 	 */
 	public MainCorpus getCorpus(String corpusName) throws CqiClientException,
 			InvalidCqpIdException {
-		// return new MainCorpus(corpusName);
 		if (corpora == null) {
 			// System.out.println("error corpora is null ");
 			this.getCorpora();
 		}
 
-		for (MainCorpus corpus : CorpusManager.corpora) {
+		for (MainCorpus corpus : CorpusManager.corpora.values()) {
 			if (corpus.getID().equals(corpusName)) {
 				// System.out.println("found corpus "+corpusName);
 				return corpus;
@@ -142,9 +144,6 @@
 				return (MainCorpus) c;
 			}
 		}
-//		MainCorpus c = null;//new MainCorpus(corpusName);
-		//this.corpora.add(c);
-		// corpora.add(c);
 		return null;
 	}
 
@@ -157,7 +156,7 @@
 	public boolean hasCorpus(String name) {
 		if (corpora == null)
 			return false;
-		for (MainCorpus c : corpora)
+		for (MainCorpus c : corpora.values())
 			if (name.equals(c.getID()))
 				return true;
 		return false;
@@ -171,38 +170,38 @@
 	 * @throws CqiClientException
 	 *             the cqi client exception
 	 */
-	public List<MainCorpus> getCorpora() throws CqiClientException {
-		//System.out.println("get corpora");
-		if (corpora != null)
-			return corpora;
-
-		String[] corporaName;
-		try {
-			corporaName = cqiClient.listCorpora();
-		} catch (Exception e) {
-			throw new CqiClientException(e);
-		}
-
-		corpora = new ArrayList<MainCorpus>(corporaName.length);
-		for (int i = 0; i < corporaName.length; i++) {
-			try {
-				MainCorpus c = this.getCorpus(corporaName[i]);
-				if (c != null) corpora.add(c);
-			} catch (InvalidCqpIdException e) {
-				throw new CqiClientException(TXMCoreMessages.errorColonThisExceptionShouldNotBeThrown, e);
-			}
-		}
-		
-		for (CQPCorpus corpus : corpora) {
-			try {
-				corpus.setCharset(cqiClient.corpusCharset(corpus.getCqpId()));
-				// TODO : implements cqiClient.corpusLanguage
-				// corpus.setLanguage(cqiClient.corpusLanguage(corpus.getCqpId()));
-			} catch (Exception e) {
-				org.txm.utils.logger.Log.printStackTrace(e);
-			}
-		}
-		// System.out.println("END creating corpora");
+	public HashMap<String, MainCorpus> getCorpora() {
+//		//System.out.println("get corpora");
+//		if (corpora != null)
+//			return corpora;
+//
+//		String[] corporaName;
+//		try {
+//			corporaName = cqiClient.listCorpora();
+//		} catch (Exception e) {
+//			throw new CqiClientException(e);
+//		}
+//
+//		corpora = new ArrayList<MainCorpus>(corporaName.length);
+//		for (int i = 0; i < corporaName.length; i++) {
+//			try {
+//				MainCorpus c = this.getCorpus(corporaName[i]);
+//				if (c != null) corpora.add(c);
+//			} catch (InvalidCqpIdException e) {
+//				throw new CqiClientException(TXMCoreMessages.errorColonThisExceptionShouldNotBeThrown, e);
+//			}
+//		}
+//		
+//		for (CQPCorpus corpus : corpora) {
+//			try {
+//				corpus.setCharset(cqiClient.corpusCharset(corpus.getCqpId()));
+//				// TODO : implements cqiClient.corpusLanguage
+//				// corpus.setLanguage(cqiClient.corpusLanguage(corpus.getCqpId()));
+//			} catch (Exception e) {
+//				org.txm.utils.logger.Log.printStackTrace(e);
+//			}
+//		}
+//		// System.out.println("END creating corpora");
 		return corpora;
 	}
 
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java	(revision 1614)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java	(revision 1615)
@@ -81,15 +81,12 @@
 	public MainCorpus(Project project) throws InvalidCqpIdException, CqiClientException {
 		super(project);
 		this.internalPersistable = true;
-
-		this.dataDirectory = new File(getProjectDirectory(), "data/"+getID());
-		this.registryFile = new File(getProjectDirectory(), "registry/"+getID().toLowerCase());
 	}
 
 	/**
-	 * Instantiates a new sub corpus
+	 * <del>Instantiates a new sub corpus</del>
 	 * 
-	 * @param corpus2 the parent corpus
+	 * @param partition the parent partition -> only used for subcorpus
 	 */
 	public MainCorpus(Partition partition) {
 		super(partition);
@@ -111,14 +108,14 @@
 	 */
 	public MainCorpus(String parametersNodePath) throws InvalidCqpIdException, CqiClientException {
 		super(parametersNodePath);
-
 		this.internalPersistable = true;
 
-		this.dataDirectory = new File(getProjectDirectory(), "data/"+getID());
-		this.registryFile = new File(getProjectDirectory(), "registry/"+getID().toLowerCase());
+		if (getID() != null && getProjectDirectory() != null) {
+			this.dataDirectory = new File(getProjectDirectory(), "data/"+getID());
+			this.registryFile = new File(getProjectDirectory(), "registry/"+getID().toLowerCase());
+		}
 	}
 
-
 	/**
 	 * Check whether the ID is a valid CQP ID.
 	 * 
@@ -555,7 +552,6 @@
 		return 1;
 	}
 
-
 	@Override
 	public String getSimpleName() {
 		if (modified) {
@@ -565,17 +561,12 @@
 			return getName();
 		}
 	}
-
+	
+	
 	protected boolean modified = false;
-	/**
-	 * list of loaded/computed corpus
-	 */
-	private static HashMap<String, MainCorpus> corpora = new HashMap<String, MainCorpus>();
 	public boolean isModified() { return modified; }
 	public void setIsModified(boolean b) { modified = b; }
 
-
-
 	@Override
 	public String getDetails() {
 		try {
@@ -589,8 +580,8 @@
 	public void clean() {
 		super.clean();
 
-		if (corpora.get(this.pID) == this) { // un register the MainCorpus
-			corpora.remove(this.pID);
+		if (CorpusManager.getCorpusManager().getCorpora().get(this.pID) == this) { // un register the MainCorpus
+			CorpusManager.getCorpusManager().getCorpora().remove(this.pID);
 		}
 
 		try {
@@ -602,8 +593,12 @@
 			Log.printStackTrace(e);
 		}
 
-		DeleteDir.deleteDirectory(dataDirectory);
-		registryFile.delete();
+		if (dataDirectory != null) {
+			DeleteDir.deleteDirectory(dataDirectory);
+		}
+		if (registryFile != null) {
+			registryFile.delete();
+		}
 
 		Toolbox.notifyEngines(this, "clean");
 	}
@@ -640,10 +635,12 @@
 
 	@Override
 	protected boolean _compute() throws Exception {
+		HashMap<String, MainCorpus> corpora = CorpusManager.getCorpusManager().getCorpora();
 		if (corpora.get(this.pID) != null && corpora.get(this.pID) != this) {
-			System.out.println(NLS.bind("Warning: duplicated \"{0}\" CQP corpus in \"{1}\"", this.pID, this.getProjectDirectory()));
+			Log.severe(NLS.bind("** Error: the \"{0}\" MainCorpus object in the \\\"{1}\\\" project can not be computed: another one with the same CQP identifier has already been computed.", this.pID, this.getProjectDirectory()));
 			return false;
 		}
+		corpora.put(this.pID, this);
 
 		if (CQPSearchEngine.isInitialized()) {
 			try {
@@ -656,6 +653,10 @@
 				return false;
 			}
 		}
+		
+		this.dataDirectory = new File(getProjectDirectory(), "data/"+getID());
+		this.registryFile = new File(getProjectDirectory(), "registry/"+getID().toLowerCase());
+		
 		return true;
 	}
 
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/CQPSearchEngine.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/CQPSearchEngine.java	(revision 1614)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/CQPSearchEngine.java	(revision 1615)
@@ -2,6 +2,7 @@
 
 import java.io.File;
 import java.io.IOException;
+import java.util.HashMap;
 
 import org.eclipse.core.runtime.IProgressMonitor;
 import org.txm.Toolbox;
@@ -20,6 +21,7 @@
 import org.txm.searchengine.cqp.clientExceptions.ServerNotFoundException;
 import org.txm.searchengine.cqp.corpus.CQPCorpus;
 import org.txm.searchengine.cqp.corpus.CorpusManager;
+import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.utils.OSDetector;
 import org.txm.utils.Sh;
@@ -36,6 +38,11 @@
 	 */
 	boolean state = false;
 	boolean useNetCQi = false;
+	
+	/**
+	 * list of CQP loaded/computed corpus
+	 */
+	private HashMap<String, MainCorpus> corpora = new HashMap<String, MainCorpus>();
 
 	@Override
 	public String getName() {
@@ -53,6 +60,8 @@
 		if (monitor != null) {
 			monitor.subTask("Starting Corpus Engine...");
 		}
+		
+		CorpusManager.cleanCorpora();// to be sure to call cqpserver
 
 		boolean cqiserverok = false;
 
@@ -72,7 +81,7 @@
 			Log.severe("Error: Toolbox is not correctly initialized. Aborting CQP engine start...");
 			return false;
 		}
-		for (File binDir : wl.listFiles(IOUtils.FILTER_HIDDEN)) {
+		for (File binDir : wl.listFiles(IOUtils.HIDDENFILE_FILTER)) {
 			if (!binDir.isDirectory()) continue;
 			if (binDir.getName().startsWith(".")) continue;
 			if (binDir.getName().startsWith("~")) continue;
@@ -80,7 +89,7 @@
 			File registryDir = new File(binDir, "registry");
 			if (!registryDir.isDirectory()) continue;
 			
-			File[] files = registryDir.listFiles(IOUtils.FILTER_HIDDEN);
+			File[] files = registryDir.listFiles(IOUtils.HIDDENFILE_FILTER);
 			if (files != null && files.length > 0) {
 				reg_path += path_separator + registryDir.getAbsolutePath();
 				for (File registryFile : files) {
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/CwbEncode.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/CwbEncode.java	(revision 1614)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/CwbEncode.java	(revision 1615)
@@ -328,7 +328,7 @@
 			return;
 		}
 
-		for (File corpus : corpora.listFiles(IOUtils.FILTER_HIDDEN)) {
+		for (File corpus : corpora.listFiles(IOUtils.HIDDENFILE_FILTER)) {
 			if (!corpus.isDirectory()) continue;
 			
 			System.out.println(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.processingCorpus, corpus.getName()));
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/FixMilestoneDeclarations.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/FixMilestoneDeclarations.java	(revision 1614)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/FixMilestoneDeclarations.java	(revision 1615)
@@ -58,7 +58,7 @@
 		reader.close();
 		if (debug) System.out.println("Structures: "+structures);
 
-		File[] files = dataDirectory.listFiles(IOUtils.FILTER_HIDDEN);
+		File[] files = dataDirectory.listFiles(IOUtils.HIDDENFILE_FILTER);
 		if (files == null) return false;
 
 		//removing empty data files
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/PatchCwbRegistry.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/PatchCwbRegistry.java	(revision 1614)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/PatchCwbRegistry.java	(revision 1615)
@@ -282,7 +282,7 @@
 			System.out.println("rename "+oldname+".* files to "+newname+".*"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 			File datadir = new File(datapath);
 			if (datadir.exists()) {
-				for (File f : datadir.listFiles(IOUtils.FILTER_HIDDEN))
+				for (File f : datadir.listFiles(IOUtils.HIDDENFILE_FILTER))
 					if (f.getName().startsWith(oldname+".")) //$NON-NLS-1$
 						f.renameTo(new File(f.getParent(), f.getName().replace(oldname+".", newname+"."))); //$NON-NLS-1$ //$NON-NLS-2$
 			}
Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RVariablesView.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RVariablesView.java	(revision 1614)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RVariablesView.java	(revision 1615)
@@ -119,15 +119,15 @@
 	public void _reload() {
 		tv.setContentProvider(new RVariablesTreeProvider());
 		tv.setLabelProvider(new RVariablesLabelProvider());
-		List<MainCorpus> corpora;
+		Collection<MainCorpus> corpora;
 		try {
-			corpora = CorpusManager.getCorpusManager().getCorpora();
+			corpora = CorpusManager.getCorpusManager().getCorpora().values();
 			if (corpora != null)
 			{
 				buildTreeContent(corpora);
 				tv.refresh();
 			}
-		} catch (CqiClientException e) { }
+		} catch (Exception e) { }
 	}
 	
 	/**
@@ -135,7 +135,7 @@
 	 *
 	 * @param corpora the corpora
 	 */
-	protected void buildTreeContent(List<MainCorpus> corpora)
+	protected void buildTreeContent(Collection<MainCorpus> corpora)
 	{
 		ArrayList<TXMResult> notempty = new ArrayList<TXMResult>(corpora);
 		for(TXMResult container : corpora)
Index: tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/views/knowledgerepositories/KRView.java
===================================================================
--- tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/views/knowledgerepositories/KRView.java	(revision 1614)
+++ tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/views/knowledgerepositories/KRView.java	(revision 1615)
@@ -164,12 +164,12 @@
 			public void widgetSelected(SelectionEvent arg0) {
 				// force loading KR of all corpora
 				try {
-					for (MainCorpus corpus : CorpusManager.getCorpusManager().getCorpora()) {
+					for (MainCorpus corpus : CorpusManager.getCorpusManager().getCorpora().values()) {
 						for (KnowledgeRepository kr : InitializeKnowledgeRepository.get(corpus.getMainCorpus())) {
 							kr.checkConnection();
 						}
 					}
-				} catch (CqiClientException e) {
+				} catch (Exception e) {
 					e.printStackTrace();
 					return;
 				}
Index: tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/SimpleKRAnnotation.java
===================================================================
--- tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/SimpleKRAnnotation.java	(revision 1614)
+++ tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/SimpleKRAnnotation.java	(revision 1615)
@@ -657,10 +657,13 @@
 			if (am != null && am.hasChanges()) {
 				// && MessageDialog.openConfirm(e.display.getActiveShell(), "Confirm annotation save", "Saving annotation will close this editor. Are you sure you want to save annotations right now ?")
 				JobHandler saveJob = SaveAnnotations.save(corpus.getMainCorpus());
-				if (saveJob.getResult() == Status.CANCEL_STATUS) {
+				if (saveJob == null || saveJob.getResult() == Status.CANCEL_STATUS) {
 					// update editor corpus
 					System.out.println("Fail to save annotations of the corpus."); //$NON-NLS-1$
+					return false;
 				}
+			} else {
+				return false;
 			}
 		} catch(Exception ex) {
 			ex.printStackTrace();
Index: tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/KRAnnotation.java
===================================================================
--- tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/KRAnnotation.java	(revision 1614)
+++ tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/KRAnnotation.java	(revision 1615)
@@ -541,7 +541,7 @@
 						// && MessageDialog.openConfirm(e.display.getActiveShell(), "Confirm annotation save", "Saving annotation will close this editor. Are you sure you want to save annotations right now ?")
 						JobHandler saveJob = SaveAnnotations.save(corpus.getMainCorpus());
 						
-						if (saveJob.getResult() == Status.CANCEL_STATUS) {
+						if (saveJob == null || saveJob.getResult() == Status.CANCEL_STATUS) {
 							// update editor corpus
 							System.out.println("Fail to save annotations of the corpus."); //$NON-NLS-1$
 						}
@@ -868,10 +868,13 @@
 			if (am != null && am.hasChanges()) {
 				// && MessageDialog.openConfirm(e.display.getActiveShell(), "Confirm annotation save", "Saving annotation will close this editor. Are you sure you want to save annotations right now ?")
 				JobHandler saveJob = SaveAnnotations.save(corpus.getMainCorpus());
-				if (saveJob.getResult() == Status.CANCEL_STATUS) {
+				if (saveJob == null || saveJob.getResult() == Status.CANCEL_STATUS) {
 					// update editor corpus
 					System.out.println("Fail to save annotations of the corpus."); //$NON-NLS-1$
+					return false;
 				}
+			} else {
+				return false;
 			}
 		} catch(Exception ex) {
 			ex.printStackTrace();
Index: tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/WordAnnotationToolbar.java
===================================================================
--- tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/WordAnnotationToolbar.java	(revision 1614)
+++ tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/WordAnnotationToolbar.java	(revision 1615)
@@ -648,10 +648,13 @@
 			if (am != null && am.hasChanges()) {
 				// && MessageDialog.openConfirm(e.display.getActiveShell(), "Confirm annotation save", "Saving annotation will close this editor. Are you sure you want to save annotations right now ?")
 				JobHandler saveJob = SaveAnnotations.save(WordAnnotationToolbar.this.corpus.getMainCorpus());
-				if (saveJob.getResult() == Status.CANCEL_STATUS) {
+				if (saveJob == null || saveJob.getResult() == Status.CANCEL_STATUS) {
 					// update editor corpus
 					System.out.println("Fail to save annotations of the corpus."); //$NON-NLS-1$
+					return false;
 				}
+			} else {
+				return false;
 			}
 		} catch(Exception ex) {
 			ex.printStackTrace();
Index: tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyScriptedImportEngine.java
===================================================================
--- tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyScriptedImportEngine.java	(revision 1614)
+++ tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyScriptedImportEngine.java	(revision 1615)
@@ -59,7 +59,6 @@
 					Log.severe(GroovyMessages.errorTreeTaggerAnnotationEngineIsNotReady);
 					return Status.CANCEL_STATUS;
 				}
-				
 			}
 			
 			if (project.getDoUpdate()) {
@@ -131,33 +130,29 @@
 				Boolean readyToLoad = (Boolean)ready;
 				//System.out.println("TRY TO LOAD THE BINARY CORPUS CREATED: "+basedir);
 				if (readyToLoad) {
-//					base = LoadBinaryCorpus.loadBinaryCorpusAsDirectory(basedir);
-//					if (base == null) {
-//						System.out.println(TXMUIMessages.ExecuteScriptImport_8);
-//						if (basedir.exists()) basedir.renameTo(errorBinDirectory);
-//						if (tempBinDirectory.exists()) tempBinDirectory.renameTo(basedir);
-//						return Status.CANCEL_STATUS;
-//					}
-//					this.acquireSemaphore();
-//					Log.info("Save workspace"); //$NON-NLS-1$
-//					Toolbox.workspace.save();
-
+//					
 					Log.info(GroovyMessages.restartingToolboxSearchengines);
-					//Toolbox.restartWorkspace(null);
 					Toolbox.getEngineManager(EngineType.SEARCH).restartEngines();
 					Log.info(TXMCoreMessages.common_done);
 					
-//					DeleteDir.deleteDirectory(tempBinDirectory);
-
-					//							IWorkspace workspace = ResourcesPlugin.getWorkspace();
-					//							IProject newProject = workspace.getRoot().getProject(base.getName());
-					//							newProject.create(monitor);
-					//							newProject.open(monitor);
-					//							IFolder srcFolder = newProject.getFolder("src");
-					//							IPath path = new Path(params.rootDir);
-					//							srcFolder.createLink(path, IResource.ALLOW_MISSING_LOCAL, monitor);
 				} else {
 					Log.fine(GroovyMessages.errorImportNotCorrectlyEndedSeeConsoleMessages);
+					
+					if (!project.getDoUpdate()) { // clear all
+						Log.fine("Delete all project children.");
+						for (TXMResult c : project.getChildren()) {
+							c.delete();
+						}
+					} else {
+						Log.fine("Delete all project CorpusBuild&Edition children.");
+						for (TXMResult c : project.getChildren(CorpusBuild.class)) {
+							c.delete();
+						}
+						for (TXMResult c : project.getChildren(Edition.class)) {
+							c.delete();
+						}
+					}
+					
 //					if (basedir.exists()) basedir.renameTo(errorBinDirectory);
 //					if (tempBinDirectory.exists()) tempBinDirectory.renameTo(basedir);
 					return new Status(Status.ERROR, "org.txm.groovy.core", GroovyMessages.errorImportNotCorrectlyEndedSeeConsoleMessages);
Index: tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyImportEngine.java
===================================================================
--- tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyImportEngine.java	(revision 1614)
+++ tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyImportEngine.java	(revision 1615)
@@ -28,7 +28,7 @@
 		if (!importsPackageDirectory.exists()) {
 			return false;
 		}
-		for (File dir : importsPackageDirectory.listFiles(IOUtils.FILTER_HIDDEN)) {
+		for (File dir : importsPackageDirectory.listFiles(IOUtils.HIDDENFILE_FILTER)) {
 			if (!dir.isDirectory()) continue;
 			
 			String name = dir.getName();
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/transcriber/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/transcriber/compiler.groovy	(revision 1614)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/transcriber/compiler.groovy	(revision 1615)
@@ -141,7 +141,10 @@
 		corpus = new MainCorpus(project);
 		corpus.setID(project.getName());
 		corpus.setName(project.getName());
-		corpus.setDescription("Built with the TXT+CSV import module");
+		corpus.setDescription("Built with the XML-TRS import module");
+		if (!corpus.compute(false)) {corpus.delete();
+			return false;
+		}
 		
 		cqpFile = new File(binDir,"cqp/"+corpusname+".cqp");
 		new File(binDir,"cqp").mkdirs()
